@charset "utf-8";
section {
	width: 100%;
}

h2 {
	font-family: var(--zen);
	font-weight: 700;
	font-size: 18px;
	line-height: 2;
}

/* メインビジュアル */
.main-visual {
	width: 100%;
	height: calc(100svh - 70px);
	padding: 0;
	position: relative;
	z-index: 10;
}
.main-visual .img-wrapper {
	width: 100%;
	height: 100%;
	& img {
		width: 100%;
		height: 100%;
		object-fit: cover;
		object-position: 72%;
	}
}
.main-visual div.title {
	position: absolute;
	top: 42%;
	left: 24px;
	transform: translateY(-50%);
	z-index: 12;
	& p {
		text-shadow: var(--drop);
		color: #fff;
		line-height: 2;
	}
	& p.osaka {
		margin-bottom: 36px;
		font-size: 18px;
	}
	& div.com-name {
		margin-bottom: 36px;
		font-family: var(--zen);
	}
	& div.com-name p.bold {
		font-size: 28px;
		font-weight: 700;
		line-height: 1.5;
	}
}
.main-visual #newsWrap {
	position: absolute;
	bottom: 0;
	left: 50%;
	transform: translateX(-50%);
	justify-content: space-between;
	width: 95%;
	height: 40px;
	background: rgba(255, 255, 255, 0.95);
	border-radius: 2px;
	z-index: 12;
	transition: all 1s;
	opacity: 0;
	&::after {
		position: absolute;
		content: '\e5e1';
		font-family: 'Material Symbols Outlined';
		top: 50%;
		right: 12px;
		transform: translateY(-50%);
		color: var(--blue);
		font-weight: 300;
	}
	& ul {
		display: block;
		width: 100%;
		height: 100%;
	}
	& li {
		display: flex;
		align-items: center;
		height: 100%;
		position: relative;
	}
	& li a.link {
		position: absolute;
		justify-content: start;
		width: 100%;
		height: 100%;
	}
	& .catName {
		margin-right: 12px;
		margin-left: 8px;
		padding: 4px 14px;
		font-family: var(--zen);
		font-size: 12px;
		border-width: 0.5px;
		border-style: solid;
		white-space: nowrap;
		border-radius: 2px;
	}
	& span.title a {
		display: block;
	}
}
.main-visual div.bg {
	position: absolute;
	content: '';
	top: 0;
	width: 100%;
	height: 100%;
	& span {
		position: absolute;
		display: inline-block;
		content: '';
		width: 100%;
		height: 100%;
		left: -100%;
		transition: left 0.6s ease;
		background: var(--blue);
		mix-blend-mode: multiply;
	}
	& span:first-child {
		clip-path: polygon(0 0, 55% 0, 70% 100%, 0% 100%);
	}
	& span:nth-child(2) {
		clip-path: polygon(55% 0, 65% 0, 80% 100%, 70% 100%);
		opacity: 0.7;
	}
	& span:nth-child(3) {
		clip-path: polygon(65% 0, 75% 0, 90% 100%, 80% 100%);
		opacity: 0.4;
	}
	& span:last-child {
		clip-path: polygon(75% 0, 85% 0, 100% 100%, 90% 100%);
		opacity: 0.1;
	}
}

/* スピード対応、徹底したヒアリング、寄り添った問題解決を！ */
section.speed {
	padding-top: 60px;
	padding-bottom: 100px;
	background-color: var(--blue);
	background-image: url('./assets/img/top/bg1.png');
	background-repeat: repeat;
	color: #fff;
	line-height: 2;
}
section.speed .section-wrapper {
	flex-flow: column;
}
section.speed .section-wrapper .wrapper {
	margin-bottom: 40px;
	padding: 0 12px;
}
section.speed h2 {
	padding-left: 20px;
	word-break: keep-all;
	position: relative;
	&::before {
		position: absolute;
		content: '';
		width: 10px;
		height: 100%;
		left: -8px;
		background-image: url('./assets/img/top/yellow-line.svg');
	}
}
section.speed p {
	margin: 32px 0;
}
section.speed img {
	width: 300px;
	height: auto;
}

/* 業務内容 */
section.gyomu {
	margin-top: -16px;
	margin-bottom: -16px;
	padding-top: 60px;
	padding-bottom: 100px;
	background-color: #2B30A0;
	background-image: url('./assets/img/top/bg2.png');
	background-repeat: repeat;
	clip-path: polygon(0 16px, 100% 0, 100% 100%, 0 calc(100% - 16px));
	color: #fff;
	font-family: var(--zen);
	text-shadow: var(--drop);
}
section.gyomu h2 {
	text-align: center;
	font-weight: 500;
	margin-bottom: 40px;
}
section.gyomu .gyomu-wrapper {
	flex-flow: column;
	gap: 40px;
	& .wrapper {
		width: 100%;
		padding: 24px 32px;
		border: 0.5px solid #fff;
		border-radius: 2px;
	}
	& .wrapper h3 {
		margin-bottom: 20px;
		font-size: 18px;
		font-weight: 500;
	}
	& .wrapper ul {
		flex-flow: column;
		align-items: start;
		gap: 12px;
	}
	& .wrapper ul li {
		margin-left: 24px;
		position: relative;
		&::before {
			position: absolute;
			content: '';
			width: 6px;
			height: 6px;
			top: 50%;
			right: calc(100% + 12px);
			transform: translateY(-50%);
			background: var(--yellow);
			border-radius: 50%;
		}
	}
	& p.kome {
		text-align: end;
		margin-top: -22px;
	}
}

/* TOPIC */
section.topic {
	padding-top: 80px;
	padding-bottom: 100px;
	background-color: var(--bg);
	background-image: url(./assets/img/top/bg3.png);
	background-repeat: repeat;
}
section.topic h2 {
	margin-bottom: 40px;
	font-size: 18px;
	text-align: center;
	font-weight: 500;
}
section.topic .text-wrapper {
	padding: 0 12px;
	& p.purple {
		margin-bottom: 12px;
		color: var(--purple);
		transform: skew(-10deg);
	}
	& h3 {
		display: inline-block;
		font-family: var(--zen);
		font-size: 18px;
		font-weight: 500;
		position: relative;
		&::after {
			position: absolute;
			content: '';
			top: 50%;
			left: calc(100% + 12px);
			transform: translateY(-50%);
			width: 36px;
			height: 36px;
			background-image: url('./assets/img/common/hane.png');
			background-size: contain;
			background-repeat: no-repeat;
		}
	}
	& p.text {
		margin: 32px 0;
	}
}
section.topic button {
	border: 0.5px solid var(--black);
}
@media (hover: hover) and (pointer: fine) {
	section.topic .text-wrapper {
		& button:hover {
			color: #fff;
		}
		& button::before {
			background: var(--black)
		}
	}
}

@media screen and (min-width: 768px) {
h2 {
	font-size: 21px;
}
main button {
	& a {
		font-size: 14px;
	}
}
.main-visual div.title {
	margin-left: 10%;
	& div.com-name p.bold {
		font-size: 32px;
	}
}
.main-visual div.bg {
	& span:first-child {
		clip-path: polygon(0 0, 43% 0, 53% 100%, 0% 100%);
	}
	& span:nth-child(2) {
		clip-path: polygon(43% 0, 48% 0, 58% 100%, 53% 100%);
	}
	& span:nth-child(3) {
		clip-path: polygon(48% 0, 53% 0, 63% 100%, 58% 100%);
	}
	& span:nth-child(4) {
		clip-path: polygon(53% 0, 58% 0, 68% 100%, 63% 100%);
	}
}
.main-visual #newsWrap {
	width: 80%;
	&::after {
		right: 3%;
	}
	& li a.link {
		width: 100%;
		padding-left: 3%;
		left: 50%;
		transform: translateX(-50%);
	}
	& .up_ymd {
		display: inline-block;
		margin-right: 12px;
	}
}

/* スピード対応、徹底したヒアリング、寄り添った問題解決を！ */
section.speed .section-wrapper {
	flex-flow: row;
	justify-content: space-between;
	gap: 10%;
	width: 80%;
	margin: 0 auto;
}
section.speed h2 {
	padding-left: 32px;
	font-size: 21px;
	&::before {
		width: 20px;
		left: -20px;
		background-size: cover;
		background-position: bottom;
	}
}
section.speed img {
	width: 30%;
	max-width: 300px;
}
/* 業務内容 */
section.gyomu .section-wrapper {
	width: 80%;
	margin: 0 auto;
}
section.gyomu .gyomu-wrapper {
	flex-flow: row;
	align-items: stretch;
	& .wrapper h3 {
		font-size: 21px;
	}
}
/* TOPIC! */
section.topic .section-wrapper {
	width: 80%;
	margin: 0 auto;
}
section.topic div.flex {
	gap: 100px;
}
section.topic img {
	width: 30%;
	border-radius: 8px;
}
section.topic .text-wrapper {
	& h3 {
		font-size: 21px;
	}
}
}
